POST api/SurveyMonkeyIntegration/PostMSMQuestionnaireReprocess
Request Information
URI Parameters
None.
Body Parameters
SurveyDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| SurveyId | string |
String length: inclusive between 0 and 200 |
|
| CollectorId | string |
String length: inclusive between 0 and 200 |
|
| SurveyCompleted | boolean |
None. |
|
| QuestionnaireStatus | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"SurveyId": "sample string 1",
"CollectorId": "sample string 2",
"SurveyCompleted": true,
"QuestionnaireStatus": 1
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfSurveyDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | SurveyDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"SurveyId": "sample string 1",
"CollectorId": "sample string 2",
"SurveyCompleted": true,
"QuestionnaireStatus": 1
},
"totalCount": 3
}